TV_GRAB_FI(1)

NAME
tv_grab_fi - Grab TV listings for Finland

SYNOPSIS
tv_grab_fi [--cache <FILE>]
           [--config-file <FILE>]
           [--days <N>]
           [--gui [<OPTION>]]
           [--no-randomize]
           [--offset <N>]
           [--output <FILE>]
           [--quiet]

tv_grab_fi --capabilities

tv_grab_fi --configure
           [--cache <FILE>]
           [--config-file <FILE>]
           [--gui [<OPTION>]]
           [--quiet]

tv_grab_fi --description

tv_grab_fi --help|-h|-?

tv_grab_fi --list-channels
           [--cache <FILE>]
           [--gui [<OPTION>]]
           [--quiet]

tv_grab_fi --version

DESCRIPTION
Grab TV listings for several channels available in Finland. The data comes from various sources, e.g. www.telkku.com. The grabber relies on parsing HTML, so it might stop working when the web page layout is changed.

You need to run "tv_grab_fi --configure" first to create the channel configuration for your setup. Subsequently runs of "tv_grab_fi" will grab the latest data, process them and produce XML data on the standard output.

COMMANDS

NONE
    Grab mode.

--capabilities
    Show the capabilities this grabber supports. See also <http://wiki.xmltv.org/index.php/XmltvCapabilities>.

--configure
    Generate the configuration file by asking the users which channels to grab.

--description
    Print the description for this grabber.

--help|-h|-?
    Show this help page.

--list-channels
    Fetch all available channels from the various sources and write them to the standard output.

--version
    Show the version of this grabber.

GENERIC OPTIONS

--cache FILE
    File name to cache the fetched HTML data in. This speeds up subsequent runs using the same data.

--gui [OPTION]
    Enable the graphical user interface. If you don't specify OPTION then XMLTV will automatically choose the best available GUI. Allowed values are:

    Term
        Terminal output with a progress bar

    TermNoProgressBar
        Terminal output without progress bar

    Tk  Tk-based GUI

--quiet
    Suppress any progress messages to the standard output.

CONFIGURE MODE OPTIONS

--config-file FILE
    File name to write the configuration to.

    Default is $HOME/.xmltv/tv_grab_fi.conf.

GRAB MODE OPTIONS

--config-file FILE
    File name to read the configuration from.

    Default is $HOME/.xmltv/tv_grab_fi.conf.

--days "N"
    Grab "N" days of TV data.

    Default is 14 days.

--no-randomize
    Grab TV data in deterministic order, i.e. first fetch channel 1, days 1 to N, then channel 2, and so on.

    Default is to use a random access pattern. If you only grab TV data from one source then the randomizing is a no-op.

--offset "N"
    Grab TV data starting at "N" days in the future.

    Default is 0, i.e. today.

--output FILE
    Write the XML data to FILE instead of the standard output.

CONFIGURATION FILE SYNTAX
The configuration file is line oriented, each line can contain one command. Empty lines and everything after the "#" comment character is ignored. Supported commands are:

channel ID NAME
    Grab information for this channel. "ID" depends on the source, "NAME" is ignored and forwarded as is to the XMLTV output file. This information can be automatically generated using the grabber in the configuration mode.

series description NAME
    If a programme title matches "NAME" then the first sentence of the description, i.e. everything up to the first period ("."), question mark ("?") or exclamation mark ("!"), is removed from the description and is used as the name of the episode.

series title NAME
    If a programme title contains a colon (":") then the grabber checks if the left-hand side of the colon matches "NAME". If it does then the left-hand side is used as programme title and the right-hand side as the name of the episode.

title map "FROM" 'TO'
    If the programme title starts with the string "FROM" then replace this part with the string "TO". The strings must be enclosed in single quotes ("'") or double quotes ("""). The title mapping occurs before the "series" command processing.

title strip parental level
    At the beginning of 2012 some programme descriptions started to include parental levels at the end of the title, e.g. "(S)". With this command all parental levels will be removed from the titles automatically. This removal occurs before the title mapping.

SEE ALSO
xmltv.

AUTHORS

  Current

Stefan Becker "chemobejk at gmail dot com"
Ville Ahonen "ville dot ahonen at iki dot fi"

  Retired

Matti Airas

BUGS
The channels are identified by channel number rather than the RFC2838 form recommended by the XMLTV DTD.